EntityArrays (Apache Commons Text 1.13.0 API)
Description: declaration: package: org.apache.commons.text.translate, class: EntityArrays

Package org.apache.commons.text.translate

# Class EntityArrays

java.lang.Object
org.apache.commons.text.translate.EntityArrays

public class EntityArrays extends Object
Class holding various entity data for HTML and XML - generally for use with the LookupTranslator. All Maps are generated using `java.util.Collections.unmodifiableMap()`.

Since:
  1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<CharSequence,CharSequence>`
  `APOS_ESCAPE`
  A Map<CharSequence, CharSequence> to escape the apostrophe character to its XML character entity.
  `static final Map<CharSequence,CharSequence>`
  `APOS_UNESCAPE`
  Reverse of `APOS_ESCAPE` for unescaping purposes.
  `static final Map<CharSequence,CharSequence>`
  `BASIC_ESCAPE`
  A Map<CharSequence, CharSequence> to escape the basic XML and HTML character entities.
  `static final Map<CharSequence,CharSequence>`
  `BASIC_UNESCAPE`
  Reverse of `BASIC_ESCAPE` for unescaping purposes.
  `static final Map<CharSequence,CharSequence>`
  `HTML40_EXTENDED_ESCAPE`
  A Map<CharSequence, CharSequence> to escape additional character entity references.
  `static final Map<CharSequence,CharSequence>`
  `HTML40_EXTENDED_UNESCAPE`
  Reverse of `HTML40_EXTENDED_ESCAPE` for unescaping purposes.
  `static final Map<CharSequence,CharSequence>`
  `ISO8859_1_ESCAPE`
  A Map<CharSequence, CharSequence> to escape ISO-8859-1 characters to their named HTML 3.x equivalents.
  `static final Map<CharSequence,CharSequence>`
  `ISO8859_1_UNESCAPE`
  Reverse of `ISO8859_1_ESCAPE` for unescaping purposes.
  `static final Map<CharSequence,CharSequence>`
  `JAVA_CTRL_CHARS_ESCAPE`
  A Map<CharSequence, CharSequence> to escape the Java control characters.
  `static final Map<CharSequence,CharSequence>`
  `JAVA_CTRL_CHARS_UNESCAPE`
  Reverse of `JAVA_CTRL_CHARS_ESCAPE` for unescaping purposes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntityArrays()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Map<CharSequence,CharSequence>`
  `invert(Map<CharSequence,CharSequence> map)`
  Inverts an escape Map into an unescape Map.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ISO8859_1_ESCAPE

    public static final Map<CharSequence,CharSequence> ISO8859_1_ESCAPE
    A Map<CharSequence, CharSequence> to escape ISO-8859-1 characters to their named HTML 3.x equivalents.

  - ### ISO8859_1_UNESCAPE

    public static final Map<CharSequence,CharSequence> ISO8859_1_UNESCAPE
    Reverse of `ISO8859_1_ESCAPE` for unescaping purposes.

  - ### HTML40_EXTENDED_ESCAPE

    public static final Map<CharSequence,CharSequence> HTML40_EXTENDED_ESCAPE
    A Map<CharSequence, CharSequence> to escape additional character entity references. Note that this must be used with `ISO8859_1_ESCAPE` to get the full list of HTML 4.0 character entities.

  - ### HTML40_EXTENDED_UNESCAPE

    public static final Map<CharSequence,CharSequence> HTML40_EXTENDED_UNESCAPE
    Reverse of `HTML40_EXTENDED_ESCAPE` for unescaping purposes.

  - ### BASIC_ESCAPE

    public static final Map<CharSequence,CharSequence> BASIC_ESCAPE
    A Map<CharSequence, CharSequence> to escape the basic XML and HTML character entities. Namely: `" & < >`

  - ### BASIC_UNESCAPE

    public static final Map<CharSequence,CharSequence> BASIC_UNESCAPE
    Reverse of `BASIC_ESCAPE` for unescaping purposes.

  - ### APOS_ESCAPE

    public static final Map<CharSequence,CharSequence> APOS_ESCAPE
    A Map<CharSequence, CharSequence> to escape the apostrophe character to its XML character entity.

  - ### APOS_UNESCAPE

    public static final Map<CharSequence,CharSequence> APOS_UNESCAPE
    Reverse of `APOS_ESCAPE` for unescaping purposes.

  - ### JAVA_CTRL_CHARS_ESCAPE

    public static final Map<CharSequence,CharSequence> JAVA_CTRL_CHARS_ESCAPE
    A Map<CharSequence, CharSequence> to escape the Java control characters. Namely: `\b \n \t \f \r`

  - ### JAVA_CTRL_CHARS_UNESCAPE

    public static final Map<CharSequence,CharSequence> JAVA_CTRL_CHARS_UNESCAPE
    Reverse of `JAVA_CTRL_CHARS_ESCAPE` for unescaping purposes.

- ## Constructor Details

  - ### EntityArrays

    public EntityArrays()

- ## Method Details

  - ### invert

    public static Map<CharSequence,CharSequence> invert(Map<CharSequence,CharSequence> map)
    Inverts an escape Map into an unescape Map.
    Parameters:
      `map` - Map<String, String> to be inverted
    Returns:
      Map<String, String> inverted array